<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m231025_064432_add_columns_shopping_cart_labels
 */
class m231025_064432_add_columns_shopping_cart_labels extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('point_sale','exclude_export_shopping_cart_labels', Schema::TYPE_BOOLEAN);
        $this->addColumn('user','exclude_export_shopping_cart_labels', Schema::TYPE_BOOLEAN);
        $this->addColumn('producer','export_shopping_cart_labels_number_per_column', Schema::TYPE_INTEGER);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('point_sale','exclude_export_shopping_cart_labels');
        $this->dropColumn('user','exclude_export_shopping_cart_labels');
        $this->dropColumn('producer','export_shopping_cart_labels_number_per_column');
    }
}
